Subject: Re: bug#15280: Building on native mingw fails
From: Andy Wingo <[email-masked]>
To: "Jan Schukat" <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Jun 2016 12:49:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Jan,

I believe that Eli Zaretskii builds natively on MinGW.  I know we do
cross-build as well.  I'm going to archive this bug; please open a new
one if you have a problem with the most recent releases.  Thanks!

Andy

On Fri 06 Sep 2013 00:42, "Jan Schukat" <[email-masked]> writes:

> Hello again,
> I'm trying windows builds on mingw again. My system is a 64bit Windows
> 7 and the uname -a of my mingw is this:
> MINGW32_NT-6.1 DIOGENES 1.0.18(0.48/3/2) 2012-11-21 22:34 i686 Msys
> My guile package is
> http://hydra.nixos.org/build/5775717/download/3/guile-2.0.9.76-0ac084-dirty.tar.gz
> I made 3 different builds, and have the logs of all three attached.
> First build is without any changes to the guile source. Whith this
> HAVE_MSVC_INVALID_PARAMETER_HANDLER and
> MSVC_INVALID_PARAMETER_HANDLING == DEFAULT_HANDLING are defined and
> the gcc 4.8.1 stumbles over cdecl on line 31 in msvc-inval.c
> Then I change cdecl to __cdecl on that line. GCC compiles but when
> guile-procedures.texi is generated, guile.exe throws this in a message
> box:
> "The procedure entry point _set_invalid_parameter_handler could not be
> located in the dynamic link library msvcrt.dll."
> Final attempt is manually disabling
> HAVE_MSVC_INVALID_PARAMETER_HANDLER in the config.h after configure
> was executed. With this the old backtrace on generating
> guile-procedures.texi comes up again:
> Backtrace:
> In unknown file:
> ?: 3 [apply-smob/1 #<boot-closure 69f8a0 (_ _ _)> #t ...]
> ?: 2 [apply-smob/1 #<catch-closure 6abc90> quit #<unspecified>]
> ?: 1 [apply-smob/1 #<boot-closure 69f8a0 (_ _ _)> #t ...]
> ?: 0 [apply-smob/1 #<catch-closure 55fde80>]